%lib_package bluray 1

Name:    libbluray
Version: 0.4.0
Release: 6%{?dist}
Summary: Bluray support for DVD players
Group:   System Environment/Libraries
License: GPLv2+
URL:     http://www.videolan.org/developers/libbluray.html
# git clone git://git.videolan.org/libbluray.git
Source0: ftp://ftp.videolan.org/pub/videolan/%{name}/%{version}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: doxygen
BuildRequires: libxml2-devel >= 2.6
BuildRequires: freetype-devel >= 2
%lib_dependencies

%description
libbluray is an open-source library designed for Blu-Ray Discs playback 
for media players, like VLC or MPlayer.

%if 0
%package xine-plugin
Summary:  Xine plugin for libbluray
Group:    System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: xine-lib-devel

%description xine-plugin
Xine plugin for libbluray.
%endif

%prep
%setup -q

%build
%configure
make
%if 0
pushd player_wrappers/xine
sed -i -e's,$(shell pkg-config libbluray --libs),-L../../src/.libs,g' Makefile
sed -i -e's,-O2,-I../../src -O2,g' Makefile
cp -a ../../src/libbluray/decoders/overlay.h ../../src/libbluray
cp -a ../../src/libbluray/bdnav/meta_data.h ../../src/libbluray
PKG_CONFIG_PATH=%{_builddir}/%{name}-%{version}/src make
popd
%endif
doxygen -s doc/doxygen-config

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%if 0
pushd player_wrappers/xine
make install DESTDIR=%{buildroot}
popd
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README.txt doc/doxygen/html doc/HOWTO.PATCH doc/CODING.RULES
%{_bindir}/bd_info

%if 0
%files xine-plugin
%defattr(-,root,root,-)
%doc
%{_libdir}/xine/plugins/*/xineplug_inp_bluray.so
%endif

%changelog
* Fri Nov 15 2013 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.4.0-6
- Update to 0.4.0.

* Fri May 10 2013 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.3.0-4
- Update to 0.3.0.

* Fri May 10 2013 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.2.3-3
- Update tp 0.2.3.

* Sun Apr 01 2012 Paulo Roma <roma@lcg.ufrj.br> - 0.2.2-2
- Update to 0.2.2

* Mon Feb 27 2012 Paulo Roma <roma@lcg.ufrj.br> - 0.2.1-1
- Update to 0.2.1

* Tue Mar 10 2011 Paulo Roma <roma@lcg.ufrj.br> - 0.0.1-1
- Initial release.
